function out= Pos_Thrust2(in)
% Fire only the +ve thrusters at twice the demanded value
% and set the -ve thrusts to zero
% Activate only when attitude error is significant
% in(4) is the FCS output, Input to the Mixing Logic

global KJmix
thro= KJmix*in;
err= in(1:3); erm=sqrt(err'*err);

for i=1:11
    if (thro(i)>0 & erm>3.0e-3)
        th(i)=2*thro(i);
    else
        th(i)=0;
    end
end
out=[th, erm];