label='Shuttle Entry 6-dof Response to 1 deg Alpha, 40 deg bank commands, with Gust';
%------------------------------------------
r2d= 180/pi;
figure (1)
plot(time,gust, 'LineWidth',1.5)
Title(label)
ylabel('Gust Vel (ft/s)')
xlabel('Time')
%------------------------------------------
figure (2)
SUBPLOT(2,1,1), plot(time,delta, 'LineWidth',1.5)
Title(label)
ylabel('Surf Deflect (deg)')
legend('Left-Outb','Left-Inb','Right-Inb','Right-Outb','Rudder');

SUBPLOT(2,1,2), plot(time,delddot, 'LineWidth',1.5)
ylabel('Surf Acceler (d/s^2))')
xlabel('Time')
%------------------------------------------
figure (3)
SUBPLOT(2,1,1), plot(time,pqr*r2d, 'LineWidth',1.5)
Title(label)
ylabel('body rates p,q,r (d/s)')
legend('P','Q','R');

SUBPLOT(2,1,2), plot(time,pr_st*r2d, 'LineWidth',1.5)
ylabel('p,r (stabil) (d/s)')
legend('P_{stab}','R_{stab}');
xlabel('Time')
%------------------------------------------
figure (8)
SUBPLOT(2,1,1), plot(time,albet, 'LineWidth',1.5)
ylabel('alpha,beta (deg)')
legend('Alpha','Beta');

SUBPLOT(2,1,2), plot(time,accel/32.2, 'LineWidth',1.5)
ylabel('Acceler x,y,z (g)')
legend('Ax','Ay','Az');
xlabel('Time')
%------------------------------------------
figure (4)
SUBPLOT(2,1,1), plot(time,phi_st, 'LineWidth',1.5)
Title(label)
ylabel('Phi-stabil (deg)')

SUBPLOT(2,1,2), plot(time,Vxrng, 'LineWidth',1.5)
ylabel('Vel-cross-range (f/s)')
xlabel('Time')
%------------------------------------------
figure (5)
SUBPLOT(2,1,1), plot(time,dH, 'LineWidth',1.5)
Title(label)
ylabel('delta Altitude (ft)')

SUBPLOT(2,1,2), plot(time,dV, 'LineWidth',1.5)
ylabel('V-dot (f/s^2)')
xlabel('Time')
%------------------------------------------
figure (6)
SUBPLOT(2,1,1), plot(time,throtf, 'LineWidth',1.5)
Title(label)
ylabel('Front Jet Thrust (lb)')

SUBPLOT(2,1,2), plot(time,throtb, 'LineWidth',1.5)
ylabel('Rear Jet Thrust (lb)')
xlabel('Time')
%------------------------------------------
figure (7)
plot(time,HM, 'LineWidth',1.5)
Title(label)
ylabel('Hinge Moments (ft-lb)')
legend('Left-Outb','Left-Inb','Right-Inb','Right-Outb','Rudder');
xlabel('Time')
%------------------------------------------