label='Shuttle Entry Discrete 6-dof Response to 1 deg Alpha, 30 deg bank commands';
%------------------------------------------
r2d= 180/pi;
%------------------------------------------
figure (1)
plot(time,delta*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Surface Deflect. (deg)')
legend('Left-Outb','Left-Inb','Right-Inb','Right-Outb','Rudder');
xlabel('Time')
%------------------------------------------
figure (2)
SUBPLOT(2,1,1), plot(time,albet, 'LineWidth',1.5)
Title(label)
ylabel('alpha, beta (deg)')
legend('Alpha','Beta');

SUBPLOT(2,1,2), plot(time,Nz/32.2, 'LineWidth',1.5)
ylabel('Acceler Nz (g)')
xlabel('Time')
%------------------------------------------
figure (3)
SUBPLOT(2,1,1), plot(time,pqr*r2d, 'LineWidth',1.5)
Title(label)
ylabel('body rates p,q,r (d/s)')

SUBPLOT(2,1,2), plot(time,pr_st*r2d, 'LineWidth',1.5)
ylabel('p,r -stabil (d/s)')
xlabel('Time')
%------------------------------------------
figure (4)
SUBPLOT(2,1,1), plot(time,phi_st, 'LineWidth',1.5)
Title(label)
ylabel('Phi-stabil (deg)')

SUBPLOT(2,1,2), plot(time,Vxrng, 'LineWidth',1.5)
ylabel('Vel-cross-range (f/s)')
xlabel('Time')
%------------------------------------------
figure (5)
SUBPLOT(2,1,1), plot(time,dH, 'LineWidth',1.5)
Title(label)
ylabel('delta Altitude (ft)')

SUBPLOT(2,1,2), plot(time,dV, 'LineWidth',1.5)
ylabel('V-dot (f/s^2)')
xlabel('Time')
%------------------------------------------
